Bug 737014 - Associating a public IP succeeds, except it doesn't
Associating a public IP succeeds, except it doesn't
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: openstack-nova (Show other bugs)
16
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-09 07:08 EDT by Mark McLoughlin
Modified: 2013-02-13 14:29 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 14:29:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2011-09-09 07:08:10 EDT
See this upstream report:

  https://bugs.launchpad.net/nova/+bug/845507

Doing e.g.

 $> nova-manage floating create 172.31.0.224/28
 $> euca-allocate-address
 $> euca-associate-address -i i-00000012 172.31.0.224

appears to succeed, but fails unless you actually fix the public interface in nova.conf to e.g.

 $> echo "--public_interface=em0" >> /etc/nova/nova.conf

Since ethX naming isn't the default in Fedora anymore, perhaps we should change the default to em0?
Comment 1 David Busby 2012-06-12 07:50:57 EDT
Found this to be the case when attempting to add a floating ip to a Fedora jeos image, the error returned:

---

2012-06-12 12:42:26 ERROR nova.rpc.amqp [req-621680cb-6ed6-4f7b-96ac-986b3b305faa 69ac541e44d143309b1135d5fac3c033 3438608ade1a4bd0809e16ba8ed5ba44] Returning exception Interface eth0 not found. to caller
2012-06-12 12:42:26 ERROR nova.rpc.amqp [req-621680cb-6ed6-4f7b-96ac-986b3b305faa 69ac541e44d143309b1135d5fac3c033 3438608ade1a4bd0809e16ba8ed5ba44] ['Traceback (most recent call last):\n', '  File "/usr/lib/python2.7/site-packages/nova/rpc/amqp.py", line 253, in _process_data\n    rval = node_func(context=ctxt, **node_args)\n', '  File "/usr/lib/python2.7/site-packages/nova/network/manager.py", line 257, in wrapped\n    return func(self, context, *args, **kwargs)\n', '  File "/usr/lib/python2.7/site-packages/nova/network/manager.py", line 469, in associate_floating_ip\n    fixed_address, interface)\n', '  File "/usr/lib/python2.7/site-packages/nova/network/manager.py", line 497, in _associate_floating_ip\n    raise exception.NoFloatingIpInterface(interface=interface)\n', 'NoFloatingIpInterface: Interface eth0 not found.\n']
---

With this being the case, if the public_interface is changed in the nova.conf, wouldn't this remove the ability to spin both rhel 5/6 and fedora images?
Comment 2 David Busby 2012-06-12 07:52:25 EDT
Also note, whilst the cli succeeds the dashboard returns a http 500 error.
Comment 3 David Busby 2012-06-12 08:31:13 EDT
Ignore my comment on running rhel 5/6 and Fedora, was working on the assumption the error was related to the interface missing on the guest, where as this is the interface on the host, in which case if mixing hosts, in theory the configuration of nova.conf on each host should be sufficent.

However an interface can be specified against a floating ip (in essex at least), as such this could lead to issues when mixing network node host os; such if this is the case in a deploy would be worth noting that all network nodes should therfor use a common public interface naming convention where possible; or seperate pools maintained for this purpose?
Comment 4 Fedora End Of Life 2013-01-16 11:06:59 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora End Of Life 2013-02-13 14:29:10 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.